org.eclipse.jdt.debug.ui.launchConfigurations

## Class JavaArgumentsTab

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTab
  - - org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab
    - - org.eclipse.jdt.debug.ui.launchConfigurations.JavaArgumentsTab

All Implemented Interfaces:
  ILaunchConfigurationTab, ILaunchConfigurationTab2

Direct Known Subclasses:
  AppletArgumentsTab

    public class JavaArgumentsTab
    extends JavaLaunchTab

A launch configuration tab that displays and edits program arguments, VM arguments, and working directory launch configuration attributes.

This class may be instantiated.

Since:
  2.0
Restriction:
  This class is not intended to be sub-classed by clients.

### Field Summary

Fields
`protected static String` `EMPTY_STRING`
`protected Label` `fPrgmArgumentsLabel`
`protected Text` `fPrgmArgumentsText`
`protected org.eclipse.jdt.internal.debug.ui.launcher.VMArgumentsBlock` `fVMArgumentsBlock`
`protected WorkingDirectoryBlock` `fWorkingDirectoryBlock`

### Constructor Summary

Constructors
Constructor and Description
`JavaArgumentsTab()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activated(ILaunchConfigurationWorkingCopy workingCopy)`
`void` `createControl(Composite parent)`
`protected org.eclipse.jdt.internal.debug.ui.launcher.VMArgumentsBlock` `createVMArgsBlock()`
`protected WorkingDirectoryBlock` `createWorkingDirBlock()` Creates a control to specify a working directory.
`void` `deactivated(ILaunchConfigurationWorkingCopy workingCopy)`
`void` `dispose()`
`protected String` `getAttributeValueFrom(Text text)` Returns the string in the text widget, or `null` if empty.
`String` `getErrorMessage()`
`String` `getId()`
`Image` `getImage()`
`String` `getMessage()`
`String` `getName()`
`void` `initializeFrom(ILaunchConfiguration configuration)`
`boolean` `isValid(ILaunchConfiguration config)`
`void` `performApply(ILaunchConfigurationWorkingCopy configuration)`
`void` `setDefaults(ILaunchConfigurationWorkingCopy config)` Defaults are empty.
`protected void` `setHelpContextId()` Set the help context id for this launch config tab.
`void` `setLaunchConfigurationDialog(ILaunchConfigurationDialog dialog)`

### Methods inherited from class org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab

`getContext, getCurrentLaunchConfiguration, initializeJavaProject`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, getControl, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getShell, getUpdateJobDelay, getWarningMessage, isDirty, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setMessage, setWarningMessage, updateLaunchConfigurationDialog`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`OkToLeaveTab, postApply`

### Field Detail

#### fPrgmArgumentsLabel

    protected Label fPrgmArgumentsLabel

#### fPrgmArgumentsText

    protected Text fPrgmArgumentsText

#### fVMArgumentsBlock

    protected org.eclipse.jdt.internal.debug.ui.launcher.VMArgumentsBlock fVMArgumentsBlock

#### fWorkingDirectoryBlock

    protected WorkingDirectoryBlock fWorkingDirectoryBlock

#### EMPTY_STRING

    protected static final String EMPTY_STRING

See Also:
  Constant Field Values

### Constructor Detail

#### JavaArgumentsTab

    public JavaArgumentsTab()

### Method Detail

#### createVMArgsBlock

    protected org.eclipse.jdt.internal.debug.ui.launcher.VMArgumentsBlock createVMArgsBlock()

#### createWorkingDirBlock

    protected WorkingDirectoryBlock createWorkingDirBlock()

Creates a control to specify a working directory.

Returns:
  the new `WorkingDirectoryBlock`
Since:
  3.4

#### createControl

    public void createControl(Composite parent)

See Also:
  `ILaunchConfigurationTab.createControl(Composite)`

#### setHelpContextId

    protected void setHelpContextId()

Set the help context id for this launch config tab. Subclasses may override this method.

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `ILaunchConfigurationTab`
Overrides:
  `dispose` in class `AbstractLaunchConfigurationTab`
See Also:
  `ILaunchConfigurationTab.dispose()`

#### isValid

    public boolean isValid(ILaunchConfiguration config)

Specified by:
  `isValid` in interface `ILaunchConfigurationTab`
Overrides:
  `isValid` in class `AbstractLaunchConfigurationTab`
See Also:
  `ILaunchConfigurationTab.isValid(ILaunchConfiguration)`

#### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy config)

Defaults are empty.

See Also:
  `ILaunchConfigurationTab.setDefaults(ILaunchConfigurationWorkingCopy)`

#### initializeFrom

    public void initializeFrom(ILaunchConfiguration configuration)

Specified by:
  `initializeFrom` in interface `ILaunchConfigurationTab`
Overrides:
  `initializeFrom` in class `JavaLaunchTab`
See Also:
  `ILaunchConfigurationTab.initializeFrom(ILaunchConfiguration)`

#### performApply

    public void performApply(ILaunchConfigurationWorkingCopy configuration)

See Also:
  `ILaunchConfigurationTab.performApply(ILaunchConfigurationWorkingCopy)`

#### getAttributeValueFrom

    protected String getAttributeValueFrom(Text text)

Returns the string in the text widget, or `null` if empty.

Parameters:
  `text` - the widget to get the value from
Returns:
  text or `null`

#### getName

    public String getName()

See Also:
  `ILaunchConfigurationTab.getName()`

#### setLaunchConfigurationDialog

    public void setLaunchConfigurationDialog(ILaunchConfigurationDialog dialog)

Specified by:
  `setLaunchConfigurationDialog` in interface `ILaunchConfigurationTab`
Overrides:
  `setLaunchConfigurationDialog` in class `AbstractLaunchConfigurationTab`
See Also:
  `ILaunchConfigurationTab.setLaunchConfigurationDialog(ILaunchConfigurationDialog)`

#### getErrorMessage

    public String getErrorMessage()

Specified by:
  `getErrorMessage` in interface `ILaunchConfigurationTab`
Overrides:
  `getErrorMessage` in class `AbstractLaunchConfigurationTab`
See Also:
  `ILaunchConfigurationTab.getErrorMessage()`

#### getMessage

    public String getMessage()

Specified by:
  `getMessage` in interface `ILaunchConfigurationTab`
Overrides:
  `getMessage` in class `AbstractLaunchConfigurationTab`
See Also:
  `ILaunchConfigurationTab.getMessage()`

#### getImage

    public Image getImage()

Specified by:
  `getImage` in interface `ILaunchConfigurationTab`
Overrides:
  `getImage` in class `AbstractLaunchConfigurationTab`
See Also:
  `ILaunchConfigurationTab.getImage()`

#### getId

    public String getId()

Overrides:
  `getId` in class `AbstractLaunchConfigurationTab`
Since:
  3.3
See Also:
  `AbstractLaunchConfigurationTab.getId()`

#### activated

    public void activated(ILaunchConfigurationWorkingCopy workingCopy)

Specified by:
  `activated` in interface `ILaunchConfigurationTab`
Overrides:
  `activated` in class `AbstractLaunchConfigurationTab`

#### deactivated

    public void deactivated(ILaunchConfigurationWorkingCopy workingCopy)

Specified by:
  `deactivated` in interface `ILaunchConfigurationTab`
Overrides:
  `deactivated` in class `AbstractLaunchConfigurationTab`